Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# AnySeqA.h File Reference

`#include "ace/config-all.h"`
`#include "tao/AnyTypeCode/TAO_AnyTypeCode_Export.h"`
`#include "tao/AnyTypeCode/AnySeqC.h"`

Include dependency graph for AnySeqA.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_AnyTypeCode_Export
## Functions
TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, const CORBA::AnySeq &)
TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, CORBA::AnySeq *)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::AnySeq *&)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::AnySeq *&)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_AnyTypeCode_Export

## Function Documentation

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::AnySeq * |
| ) |

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::AnySeq & |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::AnySeq *& |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::AnySeq *& |
| ) |